Subject: Re: [lojban] centripetality: subset vs component

From: Ivan A Derzhanski <[email-masked]>
Date: Fri, 19 May 2000 14:34:45 +0300

Jorge Llambias wrote:
> la ivAn cusku di'e
> > > Numbers are ordered most significant digit to least
> > > significant digit, with zeroes elided from both ends.
> >
> > But not with significant things elided from the big end.
> 
> Only if you decide that zeroes are not significant,
> which I agree is the usual thing to do.

Leading zeroes are not significant in the sense that
the numerical value is not affected by their omission.

> But significant digits are elided sometimes, when they are
> obvious from context. For example, this sounds ok to me:
> "How old are you? Twenty-five, twenty-six?" "Seven".

Answers to questions have their own grammar, which licenses much
that would be ungrammatical elsewhere. (As to how much, that is
up to the language. In Bulgarian the tens and the ones are
linked by a conjunction, and the exchange above becomes
_"Dvajset i pet, dvajset i shest?" -- "I sedem_", where the
answer (lit. `and 7') is not a number.)

> Also, in places where you have to take a number to be served,
> numbers are often called by the last two digits, even if the
> tickets have more significant digits.

That is true.

> Another system that nobody has mentioned yet is phone
> numbers. These are clearly centripetal, with left elision
> (country code, city code).

It would not be technically viable for them to be centrifugal,
because of the way automatic dialling works.

> > > {le 2000moi nanca ke 5moi masti ke 11moi djedi}
> [...]
> > The larger unit does not specify a type of the smaller;
> > it specifies an instance. So rather than `What kind of 11th?
> > May 11th', it goes: `Which 11th? (The 11th of which month?)
> > The 11th of May'.
> 
> I don't think I agree that tanru can never cover instance
> specification. But I've always had trouble asking "which?"
> in Lojban. I agree that {le mo broda} just doesn't do it.

Perhaps `whose?' (`of what larger unit?'), {le ma broda}, is closer.

> Back to our case, you don't think that
> {le 2000moi nanca ke 5moi masti} could refer to
> {le 5moi masti pe le 2000moi nanca}?

It might (short of anything else it could refer to), but it doesn't
sound right to me. How about {le le 2000moi nanca ku 5moi masti}?

> > [...] [12th-of-the-month]-type_of a [May-ish [day of 2000]].
> > Looks perfectly tanru-like to me.
> 
> That would be something like:
> {le 12moi djedi ke 5moi masti ke 2000moi nanca djedi}

Something of that sort, yes.

> You do need the djedi at the end to make sense. But in
> this case you would be saying that the "most elidable"
> information is the day of the month, rather than the year.

I don't think so. It's the left end you can elide in a tanru,
not the right. A {nixli ckule} is a {ckule}, not a {nixli}.

> A more reasonable expression for the ddmmyyyy order
> is something like:
> 
> {le 12moi djedi pe le 5moi masti pe le 2000moi nanca}

Quite right. And that is in fact what natlangs tend to do.

James F. Carter wrote:
> I'm still more attracted to the date as a number, specifically,
> a highly irregular mixed radix megadigit number.

That certainly is a way of looking at it.

Dates in general needn't be so highly irregular when interpreted
as numbers, btw. Look at the Maya calendar (the Long Count),
in which dates only differ from regular vigesimal numbers
in that 18 twenties, not 20, make up the unit of the third
order (360 days, very nearly a year). I forget which of the
Mesoamerican civilisations went even further, and made the year
(or comparable unit) 400 days long.

-- 
<fa-al-_haylu wa-al-laylu wa-al-baydA'u ta`rifunI
wa-as-sayfu wa-ar-rum.hu wa-al-qir.tAsu wa-al-qalamu>
(Abu t-Tayyib Ahmad Ibn Hussayn al-Mutanabbi)
Ivan A Derzhanski <http://www.math.bas.bg/~iad/>
H: cplx Iztok bl 91, 1113 Sofia, Bulgaria <[email-masked]>
W: Dept for Math Lx, Inst for Maths & CompSci, Bulg Acad of Sciences